Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		cjkunifonts
Version:	0.1.20060928
Release:	1
Summary:	Chinese TrueType Fonts -- Simplified and Traditional Chinese Ming and Kai Face
License:	Arphic
Group:		Fonts
URL:		http://www.freedesktop.org/wiki/Software/CJKUnifonts
Source1:	http://ftp.debian.org/debian/pool/main/t/ttf-arphic-uming/ttf-arphic-uming_%{version}.orig.tar.gz
Source2:	http://ftp.debian.org/debian/pool/main/t/ttf-arphic-ukai/ttf-arphic-ukai_%{version}.orig.tar.gz
Source3:	FAPIcidfmap.zh_TW
Source4:	FAPIcidfmap.zh_CN
Source5:	cidfmap.zh_TW
Source6:	cidfmap.zh_CN
Source7:	CIDFnmap.zh_TW
Source8:	CIDFnmap.zh_CN
Requires:	ttmkfdir
BuildRequires:	xorg-x11-font-utils
BuildRequires:	ttmkfdir
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%define		umingfontdir	%{_datadir}/fonts/%{name}-uming
%define		ukaifontdir	%{_datadir}/fonts/%{name}-ukai
%define		cidmapdir	%{_datadir}/ghostscript/conf.d
%define		catalogue	/etc/X11/fontpath.d


%description
Chinese Unicode TrueType fonts derived from the original fonts generously made
available by Arphic Technology under the "Arphic Public License" and extended
by the CJK Unifonts project.

%package	uming
Summary:	Chinese Uming style face TrueType Font
License:	Arphic
Group:		%{group}

%description	uming
Chinese Uming style face TrueType Font derived from the original fonts released
by Arphic Technology and extended by the CJK Unifonts project.

%package	ukai
Summary:	Chinese Ukai style face TrueType font
License:	Arphic
Group:		%{group}

%description	ukai
Chinese Ukai style face TrueType Font derived from the original fonts released
by Arphic Technology and extended by the CJK Unifonts project.

%post uming
umask 133
if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache %{umingfontdir}
fi

%post ukai
umask 133
if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache %{ukaifontdir}
fi

%postun uming
if [ "$1" = 0 ]; then
    umask 133
    if [ -x %{_bindir}/fc-cache ]; then
        %{_bindir}/fc-cache %{_datadir}/fonts
    fi
fi

%postun ukai
if [ "$1" = 0 ]; then
    umask 133
    if [ -x %{_bindir}/fc-cache ]; then
        %{_bindir}/fc-cache %{_datadir}/fonts
    fi
fi

%prep
%setup -q -T -c -a1 -a2

%build
%{nil}

%install
rm -rf $RPM_BUILD_ROOT

# dirs
install -d $RPM_BUILD_ROOT%{catalogue}
install -d $RPM_BUILD_ROOT%{umingfontdir}
install -d $RPM_BUILD_ROOT%{ukaifontdir}

# ttfs
install -m 0644 ttf-arphic-uming-%{version}/uming.ttf $RPM_BUILD_ROOT%{umingfontdir}/
install -m 0644 ttf-arphic-ukai-%{version}/ukai.ttf $RPM_BUILD_ROOT%{ukaifontdir}/

# fonts.{scale,dir}
%{_bindir}/ttmkfdir -d $RPM_BUILD_ROOT%{umingfontdir} -o $RPM_BUILD_ROOT%{umingfontdir}/fonts.scale
mkfontdir $RPM_BUILD_ROOT%{umingfontdir}
%{_bindir}/ttmkfdir -d $RPM_BUILD_ROOT%{ukaifontdir} -o $RPM_BUILD_ROOT%{ukaifontdir}/fonts.scale
mkfontdir $RPM_BUILD_ROOT%{ukaifontdir}

# backward compat
install -d $RPM_BUILD_ROOT%{_datadir}/fonts/zh_CN/TrueType
install -d $RPM_BUILD_ROOT%{_datadir}/fonts/zh_TW/TrueType
ln -s ../../%{name}-uming/uming.ttf $RPM_BUILD_ROOT%{_datadir}/fonts/zh_CN/TrueType/zysong.ttf
ln -s ../../%{name}-uming/uming.ttf $RPM_BUILD_ROOT%{_datadir}/fonts/zh_TW/TrueType/bsmi00lp.ttf

# catalogue
ln -s %{umingfontdir} $RPM_BUILD_ROOT%{catalogue}/%{name}-uming
ln -s %{ukaifontdir} $RPM_BUILD_ROOT%{catalogue}/%{name}-ukai

# ghostscript
install -d $RPM_BUILD_ROOT%{cidmapdir}
install -m 0644 %{SOURCE3} $RPM_BUILD_ROOT%{cidmapdir}/
install -m 0644 %{SOURCE4} $RPM_BUILD_ROOT%{cidmapdir}/
install -m 0644 %{SOURCE5} $RPM_BUILD_ROOT%{cidmapdir}/
install -m 0644 %{SOURCE6} $RPM_BUILD_ROOT%{cidmapdir}/
install -m 0644 %{SOURCE7} $RPM_BUILD_ROOT%{cidmapdir}/
install -m 0644 %{SOURCE8} $RPM_BUILD_ROOT%{cidmapdir}/

%files uming
%defattr(-,root,root,-)
%doc ttf-arphic-uming-%{version}/license
%dir %{umingfontdir}
%dir %{_datadir}/fonts/zh_CN
%dir %{_datadir}/fonts/zh_TW
%dir %{_datadir}/fonts/zh_CN/TrueType
%dir %{_datadir}/fonts/zh_TW/TrueType
%{umingfontdir}/*.ttf
%{cidmapdir}/FAPIcidfmap.zh_TW
%{cidmapdir}/FAPIcidfmap.zh_CN
%{cidmapdir}/cidfmap.zh_TW
%{cidmapdir}/cidfmap.zh_CN
%{cidmapdir}/CIDFnmap.zh_TW
%{cidmapdir}/CIDFnmap.zh_CN
%verify(not md5 size mtime) %{umingfontdir}/fonts.dir
%verify(not md5 size mtime) %{umingfontdir}/fonts.scale
%verify(not md5 size mtime) %{_datadir}/fonts/zh_CN/TrueType/zysong.ttf
%verify(not md5 size mtime) %{_datadir}/fonts/zh_TW/TrueType/bsmi00lp.ttf
%{catalogue}/%{name}-uming

%files ukai
%defattr(-,root,root,-)
%doc ttf-arphic-ukai-%{version}/license
%dir %{ukaifontdir}
%{ukaifontdir}/*.ttf
%{cidmapdir}/FAPIcidfmap.zh_TW
%{cidmapdir}/FAPIcidfmap.zh_CN
%{cidmapdir}/cidfmap.zh_TW
%{cidmapdir}/cidfmap.zh_CN
%{cidmapdir}/CIDFnmap.zh_TW
%{cidmapdir}/CIDFnmap.zh_CN
%verify(not md5 size mtime) %{ukaifontdir}/fonts.dir
%verify(not md5 size mtime) %{ukaifontdir}/fonts.scale
%{catalogue}/%{name}-ukai

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Sep 27 2008 Christian Wasem <wasem@ccux-linux.de> 0.1.20060928-1
- Initial release